Subject: bug#68236: [PATCH] help.el: allow help-quick to use local commands/quick-sections

From: JD Smith <[email-masked]>
Date: Wed, 10 Jan 2024 17:49:24 -0500

With my original fix of just allowing buffer-local binding to appear in help-quick, I fully intended to disable most of the global bindings (I don’t need a reminder of C-x C-f) and expected it to be therefore  a smaller and easier to parse mode-specific list.  

Since the user has to take the initiative to modify `help-quick-sections’ in my simple approach, I do not see “loss of global bindings” as a concern; that’s a feature, not a bug, from my perspective.

> On Jan 10, 2024, at 10:58 AM, Eli Zaretskii <[email-masked]> wrote:
> 
>> From: JD Smith <[email-masked]>
>> Date: Wed, 10 Jan 2024 10:46:22 -0500
>> Cc: Eli Zaretskii <[email-masked]>, [email-masked],
>> Philip Kaludercic <[email-masked]>
>> 
>> But what about instead of a separate command to remember, just creating an (optional) section in the existing help-quick popup, for local commands?  where-is-internal would consult the global keymap for the global commands, and the current buffer’s keymap for the locals.
> 
> I think we should be careful not to add too much to what these
> commands display, since otherwise we'd reinvent "C-h b" again.
> 
> The whole purpose of help-quick is to present a small list of the most
> useful commands and their bindings, and do it in a small window.  As
> soon as the buffer is long enough to require scrolling, I think we
> will have lost.